Subject: bug#11902: closed (Re: bug#11902: Emacs 23.2: dired rename file and file is hidden - Windows 7)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 05 Dec 2019 11:08:02 +0000

Your bug report

#11902: Emacs 23.2: dired rename file and file is hidden - Windows 7

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
11902: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=11902
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#11902: Emacs 23.2: dired rename file and file is hidden - Windows 7
From: Stefan Kangas <[email-masked]>
To: Bernard Stumpf <[email-masked]>
Cc: Eli Zaretskii <[email-masked]>, [email-masked]
Date: Thu, 05 Dec 2019 12:07:32 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Stefan Kangas <[email-masked]> writes:

> Bernard Stumpf <[email-masked]> writes:
>
>> The overwrite with "bar" was caused by me: hitting return on rename and not typing "bar1".
>>
>> I will try out the Edebug and get back to you later.
>
> That was 7 years ago.  Are you still seeing this?
>
> If yes, did you ever get around to trying this in edebug?  It seems like
> we would need the information gained by doing that in order to make any
> progress here.

More information was requested, but none was given within 5 weeks, so
I'm closing this bug.  If this is still an issue, please reply to this
email (use "Reply to all" in your email client) and we can reopen the
bug report.

Best regards,
Stefan Kangas

Subject: Emacs 23.2: dired rename file and file is hidden - Windows 7
From: Bernard Stumpf <[email-masked]>
To: [email-masked]
Date: Tue, 10 Jul 2012 13:43:15 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Running emacs 23.2 on Windows 7 Home Premium SP1 on a Toshiba Satellite 
P740.

Doing a dired R filename newname
   after this the Dired buffer  does not have the line with newname and 
not filename either.
   Typing l (= dired-do-redisplay) and the line with newname shows up. 
Same thing by typing g (= revert-buffer)

In other words: the rename happens in the filesystem but the dired 
buffer display is incorrect - it looses or hides the renamed item.

I've run the same verson of emacs (23.2) on a Windows XP Pro SP3 earlier 
this year, and this dired problem was not observed.

-Bernard Stumpf

In GNU Emacs 23.2.1 (i386-mingw-nt6.1.7601)
 of 2010-05-08 on G41R2F1
Windowing system distributor `Microsoft Corp.', version 6.1.7601
configured using `configure --with-gcc (3.4) --no-opt --cflags 
-Ic:/xpm/include'

Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: ENU
  value of $XMODIFIERS: nil
  locale-coding-system: cp1252
  default enable-multibyte-characters: t

Major mode: Dired by date

Minor modes in effect:
  display-time-mode: t
  tooltip-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t

Load-path shadows:
None found.